package com.hotent.project.manager;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.hotent.project.model.CostNotice;
import com.hotent.base.manager.BaseManager;
import com.hotent.project.req.CostProjectNoticePageReq;

/**
 * 通知公告表 服务类
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-09-27
 */
public interface CostNoticeManager extends BaseManager<CostNotice> {
	/**
	 * 根据主键获取详情
	 * @param id
	 * @return
	 */
	CostNotice getDetail(String id);
	/**
	 * 新建、更新通知公告表
	 * @param costNotice
	 * @return
	 */
	void createOrUpdate(CostNotice costNotice);


	IPage<CostNotice> pageList(CostProjectNoticePageReq req);

	void sendNotice(String projectId,String taskId, String number, String title, String content, String enterpriseId, String noticeSource, String sendTarget);


	/**
	 *
	 * @param projectId 项目id
	 * @param noticeType 公告类型
	 * @param noticeTitle 公告标题
	 * @param noticeContent
	 */
	void sendNotice(String projectId, String noticeType, String noticeTitle,String noticeContent);

	String read(String id);
}
